## strrchr

#### OS/161 Reference Manual

### Name

strrchr - search string for character

### Library

Standard C Library (libc, -lc)

### Synopsis

`#include <string.h>`
`char *`
`strrchr(const char *`string`, int` chr`);`

### Description

`strrchr` searches string from the right for the first instance of the character chr. The characters found and chr are cast to and compared as the type `unsigned char`.

### Return Values

`strrchr` returns a pointer to the character found. If the character is not found, NULL is returned.